## kivy 1.7.2

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON		  = python
SPHINXOPTS    = -W
#SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) sources
ALLSPHINXOPTSGT = -d build/doctrees_gettext $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) sources

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

gettext:
	mkdir -p build/html build/doctrees_gettext
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b gettext $(ALLSPHINXOPTSGT) build/gettext
	@echo
	@echo "Build finished. The Gettext pages are in build/gettext."


pickle:
	mkdir -p build/pickle build/doctrees
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(PYTHON) autobuild.py
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
kivy (1.7.2-1) unstable; urgency=low

  * Initial release (Closes: #725163)

 -- Bastian Venthur <venthur@debian.org>  Wed, 02 Oct 2013 09:21:46 +0200

=== debian/control ===
Source: kivy
Section: python
Priority: extra
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 8.0.0),
    python (>= 2.7), python-all-dev (>= 2.7),
    cython,
    libgl1-mesa-dev, libgles2-mesa-dev
Standards-Version: 3.9.4
Homepage: http://kivy.org
Vcs-Git: http://github.com/kivy/kivy.git
X-Python-Version: >= 2.7

Package: python-kivy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
    python-pygame,
    python-gst0.10
Description: Kivy - Multimedia / Multitouch framework in Python
 Kivy is an open source library for developing multi-touch applications. It is
 completely cross platform (Linux/OSX/Win/Android) and released under the terms
 of the GNU LGPL V3.
 .
 It comes with native support for many multi-touch input devices, a growing
 library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
 an architecture that is designed to let you focus on building custom and highly
 interactive applications as quickly and easily as possible.
 .
 Kivy is a mixed Python library with Cython code, to take advantage of its
 highly dynamic nature and use any of the thousands of high quality and open
 source python libraries out there, with the speed of C code.

Package: python-kivy-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-kivy
Description: Kivy - Example files
 This package includes all examples which can be found in the git repository.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with python2

override_dh_auto_test:
	echo "Tests are currently disabled in debian/rules."

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --prefix=/usr --no-compile

## kivy 1.8.0%2bdfsg

=== Makefile ===
PYTHON = python
CHECKSCRIPT = kivy/tools/pep8checker/pep8kivy.py
KIVY_DIR = kivy/
NOSETESTS = nosetests
KIVY_USE_DEFAULTCONFIG = 1
HOSTPYTHON = $(KIVYIOSROOT)/tmp/Python-$(PYTHON_VERSION)/hostpython
IOSPATH := $(PATH):/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin

.PHONY: build force mesabuild pdf style stylereport hook test batchtest cover clean distclean theming

build:
	$(PYTHON) setup.py build_ext --inplace

force:
	$(PYTHON) setup.py build_ext --inplace -f

debug:
	$(PYTHON) setup.py build_ext --inplace -f -g

mesabuild:
	/usr/bin/env USE_MESAGL=1 $(PYTHON) setup.py build_ext --inplace

ios:
	-ln -s $(KIVYIOSROOT)/Python-2.7.1/python
	-ln -s $(KIVYIOSROOT)/Python-2.7.1/python.exe

	-rm -rdf iosbuild/
	mkdir iosbuild

	echo "First build ========================================"
	-PATH="$(IOSPATH)" $(HOSTPYTHON) setup.py build_ext -g
	echo "cythoning =========================================="
	find . -name *.pyx -exec cython {} \;
	echo "Second build ======================================="
	PATH="$(IOSPATH)" $(HOSTPYTHON) setup.py build_ext -g
	PATH="$(IOSPATH)" $(HOSTPYTHON) setup.py install -O2 --root iosbuild
	# Strip away the large stuff
	find iosbuild/ | grep -E '.*\.(py|pyc|so\.o|so\.a|so\.libs)$$' | xargs rm
	-rm -rdf "$(BUILDROOT)/python/lib/python2.7/site-packages/kivy"
	# Copy to python for iOS installation
	cp -R "iosbuild/usr/local/lib/python2.7/site-packages/kivy" "$(BUILDROOT)/python/lib/python2.7/site-packages"

pdf:
	$(MAKE) -C doc latex && make -C doc/build/latex all-pdf

html:
	env USE_EMBEDSIGNATURE=1 $(MAKE) force
	$(MAKE) -C doc html

style:
	$(PYTHON) $(CHECKSCRIPT) $(KIVY_DIR)

stylereport:
	$(PYTHON) $(CHECKSCRIPT) -html $(KIVY_DIR)

hook:
	# Install pre-commit git hook to check your changes for styleguide
	# consistency.
	cp kivy/tools/pep8checker/pre-commit.githook .git/hooks/pre-commit
	chmod +x .git/hooks/pre-commit

test:
	-rm -rf kivy/tests/build
	$(NOSETESTS) kivy/tests

cover:
	coverage html --include='$(KIVY_DIR)*' --omit '$(KIVY_DIR)data/*,$(KIVY_DIR)lib/*,$(KIVY_DIR)tools/*,$(KIVY_DIR)tests/*'

install:
	python setup.py install
clean:
	-rm -rf doc/build
	-rm -rf build
	-rm -rf htmlcov
	-rm .coverage
	-rm .noseids
	-rm -rf kivy/tests/build
	-find kivy -iname '*.so' -exec rm {} \;
	-find kivy -iname '*.pyc' -exec rm {} \;
	-find kivy -iname '*.pyo' -exec rm {} \;
	-find . -iname '*.pyx' -exec sh -c 'echo `dirname {}`/`basename {} .pyx`.c' \; | xargs rm

distclean: clean
	-git clean -dxf -e debian

theming:
	$(PYTHON) -m kivy.atlas kivy/data/images/defaulttheme 512 kivy/tools/theming/defaulttheme/*.png

## kivy 1.8.0+dfsg

=== debian/changelog ===
kivy (1.8.0+dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixing FTBFS against cythoin 0.21.1 by cherry-picking upstream fix
    debian/patches/0001-Fix-cython-python-temp-coercion-exception.patch
    (Closes: #768828)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Nov 2014 10:11:22 -0500

kivy (1.8.0+dfsg-2) unstable; urgency=medium

  * Provide python3-kivy package. The patch for that was provided by Vincent
    Cheng, thank you Vincent! (Closes: #740304)
  * Bumped standards version (no changes).

 -- Bastian Venthur <venthur@debian.org>  Fri, 28 Feb 2014 09:25:51 +0100

kivy (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #737351)
  * Removed patch for Makefile which prevented `git cleanup` to remove the
    debian subdirectory. The patch was applied upstream
  * Fix "[src:kivy] Sourceless file" replaced file with concatenation of
    jquery.effects.core and -slide (Closes: #736734)
  * Fix "kivy is MIT, not LGPL" fixed wording in debian/control (Closes:
    #739036)
  * Fix "kivy-examples: Examples shoule be installed in /usr/share/kivy-
    examples, NOT 'kivi-examples'" (Closes: #735374)

 -- Bastian Venthur <venthur@debian.org>  Wed, 26 Feb 2014 17:31:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,41 @@
 Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
     python (>= 2.7), python-all-dev (>= 2.7),
-    cython,
-    libgl1-mesa-dev, libgles2-mesa-dev
-Standards-Version: 3.9.4
+    cython, cython3,
+    libgl1-mesa-dev, libgles2-mesa-dev,
+    python3-all-dev, dh-python
+Standards-Version: 3.9.5
 Homepage: http://kivy.org
 Vcs-Git: http://github.com/kivy/kivy.git
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 
 Package: python-kivy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
     python-pygame,
     python-gst0.10
-Description: Kivy - Multimedia / Multitouch framework in Python
+Description: Kivy - Multimedia / Multitouch framework in Python (Python 2)
  Kivy is an open source library for developing multi-touch applications. It is
  completely cross platform (Linux/OSX/Win/Android) and released under the terms
- of the GNU LGPL V3.
+ of the MIT license.
+ .
+ It comes with native support for many multi-touch input devices, a growing
+ library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
+ an architecture that is designed to let you focus on building custom and highly
+ interactive applications as quickly and easily as possible.
+ .
+ Kivy is a mixed Python library with Cython code, to take advantage of its
+ highly dynamic nature and use any of the thousands of high quality and open
+ source python libraries out there, with the speed of C code.
+
+Package: python3-kivy
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: Kivy - Multimedia / Multitouch framework in Python (Python 3)
+ Kivy is an open source library for developing multi-touch applications. It is
+ completely cross platform (Linux/OSX/Win/Android) and released under the terms
+ of the MIT license.
  .
  It comes with native support for many multi-touch input devices, a growing
  library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and

=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,10 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+export PYBUILD_DESTDIR=debian/tmp
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	echo "Tests are currently disabled in debian/rules."
-
-override_dh_auto_install:
-	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --prefix=/usr --no-compile
-

## kivy 1.9.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

ENDUSER_BUILD	= yes

# You can set these variables from the command line.
PYTHON		= python
SPHINXOPTS	= -Q
SPHINXOPTS_TEST	= -W -T
SPHINXBUILD	= sphinx-build
PAPER		=

fasthtml: SPHINXOPTS += -j4

# platform indepnt path separator
# only system calls need to use $(P), b/c on win system calls have issues with /
ifdef ComSpec
	PATHSEP2=\\
	MKDIR=mkdir
else
	PATHSEP2=/
	MKDIR=mkdir -p
endif
P=$(strip $(PATHSEP2))

# Internal variables.
PAPEROPT_a4		= -D latex_paper_size=a4
PAPEROPT_letter		= -D latex_paper_size=letter
ALLSPHINXOPTS		= -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) sources
ALLSPHINXOPTS_TEST	= -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS_TEST) sources
ALLSPHINXOPTSGT		= -d build/doctrees_gettext $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) sources
ALLSPHINXOPTSGT_TEST	= -d build/doctrees_gettext $(PAPEROPT_$(PAPER)) $(SPHINXOPTS_TEST) sources
LATEXOPTS		= -interaction=batchmode
LATEXOPTS_TESTS		= 

ifeq ($(ENDUSER_BUILD),yes)
	_TESTS = 
else
	_TESTS = _TEST
endif

AUTOBUILD_STAMP_BASE = autobuild.py-done-with-
AUTOBUILD_STAMP      = $(AUTOBUILD_STAMP_BASE)$(PYTHON)

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  build-all to build the common documentation types."
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  clean     to remove generated files"
	@echo "  gettext   to make gettext pages"
	@echo "  html      to make standalone HTML files"
	@echo "  fasthtml  same as html, with 4 concurrent processes"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  linkcheck to check through the reference linking"
	@echo "  man       to build Man doctrees."
	@echo "  pdf       to make standalone PDF files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  ps        to make standalone PS files"
	@echo "  web       same as pickle"

clean:
	-rm -rf sources/api-*.rst
	-rm -rf sources/examples/gen__*.rst
	-rm -rf sources/examples/gallery.rst
	-rm -rf sources/examples/index.rst
# windows just doesn't support e.g. build\*
ifdef ComSpec
	-rmdir /s /q build
else
	-rm -rf build/*
	-rm $(AUTOBUILD_STAMP_BASE)*
endif

fasthtml: html

html:
	$(MKDIR) build$(P)html build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(PYTHON) gallery.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS$(_TESTS)) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

gettext:
	$(MKDIR) build$(P)html build$(P)doctrees_gettext
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b gettext $(ALLSPHINXOPTSGT$(_TESTS)) build/gettext
	@echo
	@echo "Build finished. The Gettext pages are in build/gettext."


pickle:
	$(MKDIR) build$(P)pickle build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS$(_TESTS)) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	$(MKDIR) build$(P)htmlhelp build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS$(_TESTS)) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	$(MKDIR) build$(P)latex build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS$(_TESTS)) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' to" \
	      "run these through (pdf)latex."

pdf: latex
	rm -f build$(P)latex$(P)Kivy.pdf
	-$(MAKE) -C build$(P)latex all-pdf LATEXOPTS=$(LATEXOPTS$(_TESTS))
ifneq ("$(wildcard build$(P)latex$(P)Kivy.pdf)","")
	@echo
	@echo "Build finished; the PDF file(s) are in build/latex."
	@echo "You can savely ignore the errors which might appeared above!"
else
	@echo
	@echo "Build failed; there is no PDF file(s) in build/latex."
	exit 1
endif

ps: latex
	$(MAKE) -C build$(P)latex all-ps
	@echo
	@echo "Build finished; the PS files are in build/latex."

man:
	$(MKDIR) build$(P)man build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS$(_TESTS)) build/man
	@echo
	@echo "Build finished. The manual pages are in build/man."

changes:
	$(MKDIR) build$(P)changes build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS$(_TESTS)) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(MKDIR) build$(P)linkcheck build$(P)doctrees
ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
	touch $(AUTOBUILD_STAMP)
endif
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS$(_TESTS)) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

build-all: html pickle htmlhelp pdf ps gettext

# TODO: Make test run in non-enduser-build mode 
test: build-all

=== debian/changelog ===
kivy (1.9.0-3build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:40 +0000

kivy (1.9.0-3) unstable; urgency=medium

  * Add debian/patches/cython_0.23_support.patch to fix FTBFS with cython 0.23
  * Remove alternate build-deps for gstreamer 0.10. (Closes: #799725)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 21 Sep 2015 19:49:58 -0700

kivy (1.9.0-2) unstable; urgency=medium

  * Add debian/patches/cython_0.22_support.patch to fix FTBFS with cython 0.22
    (Closes: #790092)
  * Depend on python-gst-1.0 and python3-gst-1.0 for python-kivy, python3-kivy
    respectively; build-depends on libgstreamer1.0-dev. (Closes: #785919)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Jun 2015 20:02:28 -0700

kivy (1.9.0-1) unstable; urgency=medium

  * Transfer maintainership of kivy to the Debian Python Modules Team; see
    https://lists.debian.org/debian-python/2014/11/msg00013.html
    - Add myself and Bastian to Uploaders.
  * Acknowledge NMU, thanks Yaroslav for the FTBFS fix!
  * New upstream release.
    - New build-deps: pkg-config, libsdl2-dev, libsdl2-image-dev,
      libsdl2-mixer-dev, libsdl2-ttf-dev, libgstreamer1.0-dev |
      libgstreamer0.10-dev
    - Drop patches, applied upstream.
  * Add watch file.
  * Change Priority from extra to optional.
  * Update Standards version to 3.9.6.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 02 May 2015 01:25:51 -0700

=== debian/control ===
Source: kivy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Bastian Venthur <venthur@debian.org>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 cython,
 cython3,
 debhelper (>= 9),
 dh-python,
 libgl1-mesa-dev,
 libgles2-mesa-dev,
 libgstreamer1.0-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 pkg-config,
 python-all-dev (>= 2.7),
 python3-all-dev
Standards-Version: 3.9.6
Homepage: http://kivy.org
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kivy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kivy/trunk/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-kivy
Architecture: any
Depends:
 python-gst-1.0,
 python-pygame,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Kivy - Multimedia / Multitouch framework in Python (Python 2)
 Kivy is an open source library for developing multi-touch applications. It is
 completely cross platform (Linux/OSX/Win/Android) and released under the terms
 of the MIT license.
 .
 It comes with native support for many multi-touch input devices, a growing
 library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
 an architecture that is designed to let you focus on building custom and highly
 interactive applications as quickly and easily as possible.
 .
 Kivy is a mixed Python library with Cython code, to take advantage of its
 highly dynamic nature and use any of the thousands of high quality and open
 source Python libraries out there, with the speed of C code.
 .
 This package contains the Python 2 compatible version of the library.

Package: python3-kivy
Architecture: any
Depends:
 python3-gst-1.0,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Kivy - Multimedia / Multitouch framework in Python (Python 3)
 Kivy is an open source library for developing multi-touch applications. It is
 completely cross platform (Linux/OSX/Win/Android) and released under the terms
 of the MIT license.
 .
 It comes with native support for many multi-touch input devices, a growing
 library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
 an architecture that is designed to let you focus on building custom and highly
 interactive applications as quickly and easily as possible.
 .
 Kivy is a mixed Python library with Cython code, to take advantage of its
 highly dynamic nature and use any of the thousands of high quality and open
 source Python libraries out there, with the speed of C code.
 .
 This package contains the Python 3 compatible version of the library.

Package: python-kivy-examples
Architecture: all
Depends: python-kivy, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Kivy - Multimedia / Multitouch framework in Python (examples)
 Kivy is an open source library for developing multi-touch applications. It is
 completely cross platform (Linux/OSX/Win/Android) and released under the terms
 of the MIT license.
 .
 It comes with native support for many multi-touch input devices, a growing
 library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
 an architecture that is designed to let you focus on building custom and highly
 interactive applications as quickly and easily as possible.
 .
 Kivy is a mixed Python library with Cython code, to take advantage of its
 highly dynamic nature and use any of the thousands of high quality and open
 source Python libraries out there, with the speed of C code.
 .
 This package includes all examples which can be found in the git repository.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/tmp

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo "Tests are currently disabled in debian/rules."

=== debian/watch ===
# Generated by http://pypi.debian.net/kivy/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Kivy/Kivy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kivy 1.9.1

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,47 @@
 PYTHON = python
 CHECKSCRIPT = kivy/tools/pep8checker/pep8kivy.py
 KIVY_DIR = kivy/
-NOSETESTS = nosetests
+NOSETESTS = $(PYTHON) -m nose.core
 KIVY_USE_DEFAULTCONFIG = 1
 HOSTPYTHON = $(KIVYIOSROOT)/tmp/Python-$(PYTHON_VERSION)/hostpython
+
+GIT_COMMAND := $(shell which git)
+
 IOSPATH := $(PATH):/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
+
+BUILD_OPTS       = build_ext --inplace
+BUILD_OPTS_FORCE = $(BUILD_OPTS) -f
+BUILD_OPTS_DEBUG = $(BUILD_OPTS_FORCE)-g
+
+INSTALL_OPTIONS  = install
+INSTALL_ROOT     =
+INSTALL_PREFIX   =
+INSTALL_LAYOUT   =
+
+ifneq ($(INSTALL_ROOT),)
+	INSTALL_OPTIONS += --root=$(INSTALL_ROOT)
+endif
+ifneq ($(INSTALL_PREFIX),)
+	INSTALL_OPTIONS += --prefix=$(INSTALL_PREFIX)
+endif
+ifneq ($(INSTALL_LAYOUT),)
+	INSTALL_OPTIONS += --install-layout=$(INSTALL_LAYOUT)
+endif
+
 
 .PHONY: build force mesabuild pdf style stylereport hook test batchtest cover clean distclean theming
 
 build:
-	$(PYTHON) setup.py build_ext --inplace
+	$(PYTHON) setup.py $(BUILD_OPTS)
 
 force:
-	$(PYTHON) setup.py build_ext --inplace -f
+	$(PYTHON) setup.py $(BUILD_OPTS_FORCE)
 
 debug:
-	$(PYTHON) setup.py build_ext --inplace -f -g
+	$(PYTHON) setup.py $(BUILD_OPTS_DEBUG)
 
 mesabuild:
-	/usr/bin/env USE_MESAGL=1 $(PYTHON) setup.py build_ext --inplace
+	env USE_MESAGL=1 $(PYTHON) setup.py $(BUILD_OPTS)
 
 ios:
 	-ln -s $(KIVYIOSROOT)/Python-2.7.1/python
@@ -40,18 +63,22 @@
 	# Copy to python for iOS installation
 	cp -R "iosbuild/usr/local/lib/python2.7/site-packages/kivy" "$(BUILDROOT)/python/lib/python2.7/site-packages"
 
-pdf:
-	$(MAKE) -C doc latex && make -C doc/build/latex all-pdf
+pdf: build
+	cd doc && $(MAKE) pdf
+	cd doc && $(MAKE) pdf
 
-html:
+html: build
+	cd doc && $(MAKE) html
+
+html-embedded:
 	env USE_EMBEDSIGNATURE=1 $(MAKE) force
 	$(MAKE) -C doc html
 
 style:
-	$(PYTHON) $(CHECKSCRIPT) $(KIVY_DIR)
+	$(PYTHON) $(CHECKSCRIPT) .
 
 stylereport:
-	$(PYTHON) $(CHECKSCRIPT) -html $(KIVY_DIR)
+	$(PYTHON) $(CHECKSCRIPT) -html .
 
 hook:
 	# Install pre-commit git hook to check your changes for styleguide
@@ -67,13 +94,14 @@
 	coverage html --include='$(KIVY_DIR)*' --omit '$(KIVY_DIR)data/*,$(KIVY_DIR)lib/*,$(KIVY_DIR)tools/*,$(KIVY_DIR)tests/*'
 
 install:
-	python setup.py install
+	$(PYTHON) setup.py $(INSTALL_OPTIONS)
+
 clean:
-	-rm -rf doc/build
+	$(MAKE) -C doc clean
 	-rm -rf build
 	-rm -rf htmlcov
-	-rm .coverage
-	-rm .noseids
+	-rm -f .coverage
+	-rm -f .noseids
 	-rm -rf kivy/tests/build
 	-find kivy -iname '*.so' -exec rm {} \;
 	-find kivy -iname '*.pyc' -exec rm {} \;
@@ -81,8 +109,31 @@
 	-find . -iname '*.pyx' -exec sh -c 'echo `dirname {}`/`basename {} .pyx`.c' \; | xargs rm
 
 distclean: clean
+ifneq ($(GIT_COMMAND),)
+	@echo "Using GIT at $(GIT_COMMAND) to make a distclean..."
 	-git clean -dxf -e debian
+else
+	@echo "GIT not found to make a distclean..."
+endif
 
 theming:
 	$(PYTHON) -m kivy.atlas kivy/data/images/defaulttheme 512 kivy/tools/theming/defaulttheme/*.png
 
+help:
+	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  build          for a standard build"
+	@echo "  clean          remove generated and compiled files"
+	@echo "  cover          create an html coverage report of unittests"
+	@echo "  debug          for a debug build (with -g)"
+	@echo "  dist-clean     clean then use 'git clean'"
+	@echo "  force          for a forced build (with -f)"
+	@echo "  hook           add Pep-8 checking as a git precommit hook"
+	@echo "  html           to make standalone HTML files"
+	@echo "  install        run a setup.py install"
+	@echo "  mesabuild      for a build with MesaGL"
+	@echo "  style          to check Python code for style hints."
+	@echo "  style-report   make html version of style hints"
+	@echo "  test           run unittests (nosetests)"
+	@echo "  theming        create a default theme atlas"
+	@echo "  "
+	@echo "You can also 'cd doc && make help' to build more documentation types"

=== doc/Makefile ===
--- 
+++ 
@@ -138,6 +138,7 @@
 pdf: latex
 	rm -f build$(P)latex$(P)Kivy.pdf
 	-$(MAKE) -C build$(P)latex all-pdf LATEXOPTS=$(LATEXOPTS$(_TESTS))
+
 ifneq ("$(wildcard build$(P)latex$(P)Kivy.pdf)","")
 	@echo
 	@echo "Build finished; the PDF file(s) are in build/latex."

=== debian/changelog ===
kivy (1.9.1-1build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:43 +0000

kivy (1.9.1-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:46 +0000

kivy (1.9.1-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 14 May 2017 11:41:56 +0530

kivy (1.9.1-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Drop all patches; applied upstream.
  * Update Standards version to 3.9.8.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 May 2016 19:48:59 -0700

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_test:
 	@echo "Tests are currently disabled in debian/rules."
+
+override_dh_install:
+	dh_install --list-missing

## kivy 1.10.1

=== doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 fasthtml: SPHINXOPTS += -j4
 
-# platform indepnt path separator
+# platform independent path separator
 # only system calls need to use $(P), b/c on win system calls have issues with /
 ifdef ComSpec
 	PATHSEP2=\\
@@ -39,8 +39,8 @@
 	_TESTS = _TEST
 endif
 
-AUTOBUILD_STAMP_BASE = autobuild.py-done-with-
-AUTOBUILD_STAMP      = $(AUTOBUILD_STAMP_BASE)$(PYTHON)
+# Created in autobuild.py
+AUTOBUILD_STAMP = "autobuild.py-done"
 
 .PHONY: help clean html web pickle htmlhelp latex changes linkcheck gettext
 
@@ -71,28 +71,19 @@
 	-rmdir /s /q build
 else
 	-rm -rf build/*
-	-rm $(AUTOBUILD_STAMP_BASE)*
+	-rm $(AUTOBUILD_STAMP)*
 endif
 
 fasthtml: html
 
 html:
 	$(MKDIR) build$(P)html build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
-	$(PYTHON) gallery.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS$(_TESTS)) build/html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
 
 gettext:
 	$(MKDIR) build$(P)html build$(P)doctrees_gettext
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b gettext $(ALLSPHINXOPTSGT$(_TESTS)) build/gettext
 	@echo
 	@echo "Build finished. The Gettext pages are in build/gettext."
@@ -100,10 +91,6 @@
 
 pickle:
 	$(MKDIR) build$(P)pickle build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS$(_TESTS)) build/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files or run"
@@ -114,10 +101,6 @@
 
 htmlhelp:
 	$(MKDIR) build$(P)htmlhelp build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS$(_TESTS)) build/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
@@ -125,10 +108,6 @@
 
 latex:
 	$(MKDIR) build$(P)latex build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS$(_TESTS)) build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in build/latex."
@@ -142,7 +121,7 @@
 ifneq ("$(wildcard build$(P)latex$(P)Kivy.pdf)","")
 	@echo
 	@echo "Build finished; the PDF file(s) are in build/latex."
-	@echo "You can savely ignore the errors which might appeared above!"
+	@echo "You can safely ignore the errors which might appeared above!"
 else
 	@echo
 	@echo "Build failed; there is no PDF file(s) in build/latex."
@@ -156,30 +135,18 @@
 
 man:
 	$(MKDIR) build$(P)man build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS$(_TESTS)) build/man
 	@echo
 	@echo "Build finished. The manual pages are in build/man."
 
 changes:
 	$(MKDIR) build$(P)changes build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS$(_TESTS)) build/changes
 	@echo
 	@echo "The overview file is in build/changes."
 
 linkcheck:
 	$(MKDIR) build$(P)linkcheck build$(P)doctrees
-ifeq ("$(wildcard $(AUTOBUILD_STAMP))","")
-	$(PYTHON) autobuild.py silenced=$(ENDUSER_BUILD)
-	touch $(AUTOBUILD_STAMP)
-endif
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS$(_TESTS)) build/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \

=== debian/changelog ===
kivy (1.10.1-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:12 +0100

kivy (1.10.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:41:12 +0000

kivy (1.10.1-1) unstable; urgency=medium

  * Team upload.

  [ Manas Kashyap ]
  * Upstream Release (Closes: #873501)

  [ Vincent Cheng ]
  * Update watch file.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Enable all hardening.
  * Bump debhelper compat level to 12.
  * Remove ${python3:Depends} from  python-kivy-examples.
  * Bump standards version to 4.4.0 (no changes).

  [ William Grzybowski ]
  * d/s/options: ignore kivy/version.py written during build

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 17:28:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
  Bastian Venthur <venthur@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- cython,
  cython3,
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  libgl1-mesa-dev,
  libgles2-mesa-dev,
@@ -18,38 +17,11 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  pkg-config,
- python-all-dev (>= 2.7),
  python3-all-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Homepage: http://kivy.org
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kivy/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kivy/trunk/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-
-Package: python-kivy
-Architecture: any
-Depends:
- python-gst-1.0,
- python-pygame,
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Description: Kivy - Multimedia / Multitouch framework in Python (Python 2)
- Kivy is an open source library for developing multi-touch applications. It is
- completely cross platform (Linux/OSX/Win/Android) and released under the terms
- of the MIT license.
- .
- It comes with native support for many multi-touch input devices, a growing
- library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
- an architecture that is designed to let you focus on building custom and highly
- interactive applications as quickly and easily as possible.
- .
- Kivy is a mixed Python library with Cython code, to take advantage of its
- highly dynamic nature and use any of the thousands of high quality and open
- source Python libraries out there, with the speed of C code.
- .
- This package contains the Python 2 compatible version of the library.
+Vcs-Git: https://salsa.debian.org/python-team/modules/kivy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/kivy
 
 Package: python3-kivy
 Architecture: any
@@ -76,7 +48,7 @@
 
 Package: python-kivy-examples
 Architecture: all
-Depends: python-kivy, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: python3-kivy, ${misc:Depends}, ${shlibs:Depends}
 Description: Kivy - Multimedia / Multitouch framework in Python (examples)
  Kivy is an open source library for developing multi-touch applications. It is
  completely cross platform (Linux/OSX/Win/Android) and released under the terms

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo "Tests are currently disabled in debian/rules."

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
# Generated by https://pypi.debian.net/kivy/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Kivy/[K|k]ivy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kivy 1.11.0

=== debian/changelog ===
kivy (1.11.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 09 Jun 2020 18:05:43 -0400

kivy (1.11.0-2) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarnings

 -- Scott Talbert <swt@techie.net>  Wed, 20 May 2020 11:51:38 -0400

kivy (1.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Scott Talbert ]
  * Update to new upstream release 1.11.0
  * Update Standards-Version to 4.5.0
  * Patch setup.py to increase max Cython version

 -- Scott Talbert <swt@techie.net>  Tue, 19 May 2020 17:29:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kivy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Bastian Venthur <venthur@debian.org>,
  Vincent Cheng <vcheng@debian.org>
@@ -18,8 +19,8 @@
  libsdl2-ttf-dev,
  pkg-config,
  python3-all-dev
-Standards-Version: 4.4.0
-Homepage: http://kivy.org
+Standards-Version: 4.5.0
+Homepage: https://kivy.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/kivy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/kivy

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_test:
 	@echo "Tests are currently disabled in debian/rules."

## kivy 2.1.0

=== debian/changelog ===
kivy (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0 (Closes: #1016791)
  * Build-depend on python3-setuptools
  * Build-depend on libpango1.0-dev
  * Update standards version to 4.6.2, no changes needed
  * Update watch version to 4, no changes needed
  * Update / remove obsolete patches and dependencies
  * Do not install test or upstream development files (kivy/tests/
    and much of kivy/tools/)
  * d/watch: Fix pattern to place V.devX before V
  * d/copyright: Upstream changed to Roboto fonts (from Droid)
  * Depend on dejavu and roboto packages rather than bundle fonts

 -- Dean Serenevy <dean@serenevy.net>  Thu, 05 Jan 2023 18:22:34 +0000

kivy (1.11.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Sandro Tosi ]
  * debian/patches/relax-cython-versioned-dep.patch
    - relax cython versioned dependency

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Jun 2022 20:24:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,38 @@
 Source: kivy
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Bastian Venthur <venthur@debian.org>,
- Vincent Cheng <vcheng@debian.org>
+ Vincent Cheng <vcheng@debian.org>,
+ Dean Serenevy <dean@serenevy.net>
 Build-Depends:
  cython3,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- libgl1-mesa-dev,
- libgles2-mesa-dev,
+ libgl-dev,
+ libgles-dev,
  libgstreamer1.0-dev,
+ libpango1.0-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  pkg-config,
- python3-all-dev
-Standards-Version: 4.5.0
+ python3-all-dev,
+ python3-setuptools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://kivy.org
-Vcs-Git: https://salsa.debian.org/python-team/modules/kivy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/kivy
+Vcs-Git: https://salsa.debian.org/python-team/packages/kivy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/kivy
 
 Package: python3-kivy
 Architecture: any
 Depends:
  python3-gst-1.0,
+ fonts-dejavu-core,
+ fonts-roboto,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_install:
# These are tests, packaging, and tools useful only to upstream kivy library developers
	rm    debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/changelog_parser.py
	rm    debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/gallery.py
	rm    debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/stub-gl-debug.py
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/gles_compat
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/highlight
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/image-testsuite
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/packaging
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/pep8checker
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tools/precommit_hooks
	rm -r debian/tmp/usr/lib/python3*/dist-packages/kivy/tests

override_dh_auto_test:
	@echo "Tests are currently disabled in debian/rules."

=== debian/watch ===
# Generated by https://pypi.debian.net/kivy/watch
version=4
opts=uversionmangle=s/\.?(rc|a|b|c|dev)/~$1/ \
https://pypi.debian.net/Kivy/[K|k]ivy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kivy 2.2.1

=== debian/changelog ===
kivy (2.2.1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:05:17 +1100

kivy (2.2.1-3build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:56:03 +0000

kivy (2.2.1-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:14:48 +0000

kivy (2.2.1-3) unstable; urgency=medium

  * Improve build hygiene to fix ftbfs-source-after-build (Closes: #1046665)
  * Add debian/patches/cython3-support.patch to fix FTBFS with cython 3.0.5
    and python 3.12 (Closes: #1056810)

 -- Dean Serenevy <dean@serenevy.net>  Sun, 10 Dec 2023 10:33:38 +0000

kivy (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 05 Jul 2023 07:16:22 +0000

kivy (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Build-depend on python3-packaging
  * Remove obsolete patches
  * Recommend xclip | xsel for TextInput (LP: #1898377)
  * Install README.md to doc folder
  * Create elpa-kivy-mode package

 -- Dean Serenevy <dean@serenevy.net>  Mon, 03 Jul 2023 12:27:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kivy
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Bastian Venthur <venthur@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -9,6 +10,7 @@
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
+ dh-elpa,
  dh-python,
  libgl-dev,
  libgles-dev,
@@ -20,6 +22,7 @@
  libsdl2-ttf-dev,
  pkg-config,
  python3-all-dev,
+ python3-packaging,
  python3-setuptools
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -36,6 +39,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
+Recommends: xclip | xsel
 Description: Kivy - Multimedia / Multitouch framework in Python (Python 3)
  Kivy is an open source library for developing multi-touch applications. It is
  completely cross platform (Linux/OSX/Win/Android) and released under the terms
@@ -70,3 +74,26 @@
  source Python libraries out there, with the speed of C code.
  .
  This package includes all examples which can be found in the git repository.
+
+Package: elpa-kivy-mode
+Architecture: all
+Depends: ${elpa:Depends}, ${misc:Depends}
+Recommends: emacs
+Enhances: emacs
+Section: editors
+Description: Emacs major mode for Kivy files
+ Kivy is an open source library for developing multi-touch applications. It is
+ completely cross platform (Linux/OSX/Win/Android) and released under the terms
+ of the MIT license.
+ .
+ It comes with native support for many multi-touch input devices, a growing
+ library of multi-touch aware widgets, hardware accelerated OpenGL drawing, and
+ an architecture that is designed to let you focus on building custom and highly
+ interactive applications as quickly and easily as possible.
+ .
+ Kivy is a mixed Python library with Cython code, to take advantage of its
+ highly dynamic nature and use any of the thousands of high quality and open
+ source Python libraries out there, with the speed of C code.
+ .
+ This package provides an Emacs major mode for editing kivy source files.
+ It features syntax highlighting and auto-indentation.

## kivy 2.3.0

=== debian/changelog ===
kivy (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Remove obsolete patches
  * Fix ftbfs with GCC-14 (Closes: #1075113)
  * rebuild for dh-elpa >=2.1.5 (Closes: #1077114)
  * Update standards version to 4.7.0, no changes needed
  * Replace transitional dep pkg-config with pkgconf
  * Cherry-pick upstream removal of deprecated imghdr

 -- Dean Serenevy <dean@serenevy.net>  Tue, 13 Aug 2024 06:45:06 +0000
